Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.utils
Class CollectionUtils

    java.lang.Object
      org.jbpm.task.utils.CollectionUtils

    public class CollectionUtils

extends Object

Constructor Summary
`CollectionUtils()`

Method Summary
`static boolean` | `equals(List list1, List list2)`
`static int` | `hashCode(List list)`
`static List<Attachment>` | `readAttachmentList(ObjectInput in)`
`static List<BooleanExpression>` | `readBooleanExpressionList(ObjectInput in)`
`static List<Comment>` | `readCommentList(ObjectInput in)`
`static List<Deadline>` | `readDeadlinesList(ObjectInput in)`
`static List<Escalation>` | `readEscalationList(ObjectInput in)`
`static List<I18NText>` | `readI18NTextList(ObjectInput in)`
`static List<Notification>` | `readNotificationList(ObjectInput in)`
`static List<OrganizationalEntity>` | `readOrganizationalEntityList(ObjectInput in)`
`static List<Reassignment>` | `readReassignmentList(ObjectInput in)`
`static void` | `writeAttachmentList(List<Attachment> list, ObjectOutput out)`
`static void` | `writeBooleanExpressionList(List<BooleanExpression> list, ObjectOutput out)`
`static void` | `writeCommentList(List<Comment> list, ObjectOutput out)`
`static void` | `writeDeadlineList(List<Deadline> list, ObjectOutput out)`
`static void` | `writeEscalationList(List<Escalation> list, ObjectOutput out)`
`static void` | `writeI18NTextList(List<I18NText> list, ObjectOutput out)`
`static void` | `writeNotificationList(List<Notification> list, ObjectOutput out)`
`static void` | `writeOrganizationalEntityList(List<OrganizationalEntity> list, ObjectOutput out)`
`static void` | `writeReassignmentList(List<Reassignment> list, ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtils

    public CollectionUtils()

Method Detail

### equals

    public static boolean equals(List list1,
                                 List list2)

### hashCode

    public static int hashCode(List list)

### writeCommentList

    public static void writeCommentList(List<Comment> list,
                                        ObjectOutput out)
                                 throws IOException

  Throws:
    `IOException`

### readCommentList

    public static List<Comment> readCommentList(ObjectInput in)
                                         throws IOException,
                                                ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeAttachmentList

    public static void writeAttachmentList(List<Attachment> list,
                                           ObjectOutput out)
                                    throws IOException

  Throws:
    `IOException`

### readAttachmentList

    public static List<Attachment> readAttachmentList(ObjectInput in)
                                               throws IOException,
                                                      ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeBooleanExpressionList

    public static void writeBooleanExpressionList(List<BooleanExpression> list,
                                                  ObjectOutput out)
                                           throws IOException

  Throws:
    `IOException`

### readBooleanExpressionList

    public static List<BooleanExpression> readBooleanExpressionList(ObjectInput in)
                                                             throws IOException,
                                                                    ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeNotificationList

    public static void writeNotificationList(List<Notification> list,
                                             ObjectOutput out)
                                      throws IOException

  Throws:
    `IOException`

### readNotificationList

    public static List<Notification> readNotificationList(ObjectInput in)
                                                   throws IOException,
                                                          ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeReassignmentList

    public static void writeReassignmentList(List<Reassignment> list,
                                             ObjectOutput out)
                                      throws IOException

  Throws:
    `IOException`

### readReassignmentList

    public static List<Reassignment> readReassignmentList(ObjectInput in)
                                                   throws IOException,
                                                          ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeDeadlineList

    public static void writeDeadlineList(List<Deadline> list,
                                         ObjectOutput out)
                                  throws IOException

  Throws:
    `IOException`

### readDeadlinesList

    public static List<Deadline> readDeadlinesList(ObjectInput in)
                                            throws IOException,
                                                   ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeEscalationList

    public static void writeEscalationList(List<Escalation> list,
                                           ObjectOutput out)
                                    throws IOException

  Throws:
    `IOException`

### readEscalationList

    public static List<Escalation> readEscalationList(ObjectInput in)
                                               throws IOException,
                                                      ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeI18NTextList

    public static void writeI18NTextList(List<I18NText> list,
                                         ObjectOutput out)
                                  throws IOException

  Throws:
    `IOException`

### readI18NTextList

    public static List<I18NText> readI18NTextList(ObjectInput in)
                                           throws IOException,
                                                  ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeOrganizationalEntityList

    public static void writeOrganizationalEntityList(List<OrganizationalEntity> list,
                                                     ObjectOutput out)
                                              throws IOException

  Throws:
    `IOException`

### readOrganizationalEntityList

    public static List<OrganizationalEntity> readOrganizationalEntityList(ObjectInput in)
                                                                   throws IOException,
                                                                          ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.